# Class MBeanTrustPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
javax.management.MBeanTrustPermission

All Implemented Interfaces:
  `Serializable, Guard`

@Deprecated(since="25", forRemoval=true) public class MBeanTrustPermission extends BasicPermission
Deprecated, for removal: This API element is subject to removal in a future version.
This class was only useful in conjunction with the Security Manager, which is no longer supported. There is no replacement for this class.
This permission represents "trust" in a signer or codebase.

MBeanTrustPermission contains a target name but no actions list. A single target name, "register", is defined for this permission. The target "*" is also allowed, permitting "register" and any future targets that may be defined. Only the null value or the empty string are allowed for the action to allow the policy object to create the permissions specified in the policy file.

API Note:
  This permission cannot be used for controlling access to resources as the Security Manager is no longer supported. Consequently this class is deprecated for removal in a future release.
Since:
  1.5
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MBeanTrustPermission(String name)`
Deprecated, for removal: This API element is subject to removal in a future version.
Create a new MBeanTrustPermission with the given name.
`MBeanTrustPermission(String name, String actions)`
Deprecated, for removal: This API element is subject to removal in a future version.
Create a new MBeanTrustPermission with the given name.

## Method Summary

### Methods declared in class BasicPermission

`equals, getActions, hashCode, implies, newPermissionCollection`
Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Checks two `BasicPermission` objects for equality.
`String`
`getActions()`
Returns the canonical string representation of the actions, which currently is the empty string "", since there are no actions for a `BasicPermission`.
`int`
`hashCode()`
Returns the hash code value for this object.
`boolean`
`implies(Permission p)`
Checks if the specified permission is "implied" by this object.
`PermissionCollection`
`newPermissionCollection()`
Returns a new `PermissionCollection` object for storing `BasicPermission` objects.

### Methods declared in class Permission

`checkGuard, getName, toString`
Modifier and Type
Method
Description
`void`
`checkGuard(Object object)`
Implements the guard interface for a permission.
`final String`
`getName()`
Returns the name of this `Permission`.
`String`
`toString()`
Returns a string describing this `Permission`.

### Methods declared in class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### MBeanTrustPermission

public MBeanTrustPermission(String name)
Deprecated, for removal: This API element is subject to removal in a future version.

Create a new MBeanTrustPermission with the given name.

This constructor is equivalent to `MBeanTrustPermission(name,null)`.

Parameters:
  `name` - the name of the permission. It must be "register" or "*" for this permission.
Throws:
  `NullPointerException` - if `name` is `null`.
  `IllegalArgumentException` - if `name` is neither "register" nor "*".

### MBeanTrustPermission

public MBeanTrustPermission(String name, String actions)
Deprecated, for removal: This API element is subject to removal in a future version.

Create a new MBeanTrustPermission with the given name.

Parameters:
  `name` - the name of the permission. It must be "register" or "*" for this permission.
  `actions` - the actions for the permission. It must be null or `""`.
Throws:
  `NullPointerException` - if `name` is `null`.
  `IllegalArgumentException` - if `name` is neither "register" nor "*"; or if `actions` is a non-null non-empty string.